%{!?perl_vendorlib:  %define perl_vendorlib  %(eval "`%{__perl} -V:installvendorlib`" ; echo $installvendorlib)}
%{!?perl_vendorarch: %define perl_vendorarch %(eval "`%{__perl} -V:installvendorarch`"; echo $installvendorarch)}
%{!?perl_version:    %define perl_version    %(eval "`%{__perl} -V:version`"          ; echo $version)}

%define modn   HTML-Tree
%define modv   4.1
%define modp   %(echo %{modn} | cut -d'-' -f1)


Summary:       A Perl module for building HTML parse trees
Name:          perl-%{modn}
Version:       %{modv}
Release:       1%{?dist}%{?pext}
License:       GPL+ or Artistic
Group:         Development/Libraries
Source0:       http://search.cpan.org/CPAN/authors/id/J/JF/JFEARN/%{modn}-%{modv}.tar.gz
URL:           http://search.cpan.org/dist/%{modn}/
Buildroot:     %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Vendor:        Jeff Fearn <jeff.fearn@gmail.com>
Requires:      perl(:MODULE_COMPAT_%{perl_version})
BuildRequires: perl >= 5.8
BuildRequires: perl(Encode)
BuildRequires: perl(HTML::Parser) >= 3.46
BuildRequires: perl(HTML::Tagset) >= 3.02
BuildRequires: perl(Module::Build)
BuildRequires: perl(Test::Exception)
BuildRequires: perl(Test::More)
#BuildRequires:perl(Test::Perl::Critic)
BuildRequires: perl(Test::Pod) >= 1.14
BuildRequires: perl(Test::Pod::Coverage) >= 1.04
BuildArch:     noarch


%description
HTML-Tree is a suite of Perl modules for making parse trees out of HTML
source.


%prep
%setup -q -n %{modn}-%{modv}

# Filter provides
%{__cat} << \_EOF_ >%{name}-prov
#!/bin/sh
%{__perl_provides} $* | \
	%{__sed} -e '/perl(main)/d'
_EOF_

%define __perl_provides %{_builddir}/%{modn}-%{modv}/%{name}-prov
%{__chmod} +x %{name}-prov


%build
%{__perl} Build.PL \
	--installdirs vendor

./Build


%check
./Build test


%install
[ -n "${RPM_BUILD_ROOT}" -a "${RPM_BUILD_ROOT}" != "/" ] && %{__rm} -rf ${RPM_BUILD_ROOT}
%{__mkdir_p} ${RPM_BUILD_ROOT}%{_prefix}

./Build pure_install \
	--destdir ${RPM_BUILD_ROOT}

find ${RPM_BUILD_ROOT} -type f -name ".packlist" -exec %{__rm} -f {} \;
find ${RPM_BUILD_ROOT} -depth  -empty -type d    -exec rmdir      {} \;

%{__chmod} -R u+w ${RPM_BUILD_ROOT}/*


%clean
[ -n "${RPM_BUILD_ROOT}" -a "${RPM_BUILD_ROOT}" != "/" ] && %{__rm} -rf ${RPM_BUILD_ROOT}


%files
%defattr(-,root,root)
%doc Changes README TODO
%{_bindir}/htmltree
%{perl_vendorlib}/%{modp}
%{_mandir}/man3/*.3*


%changelog
* Wed Dec 15 2010 Peter Pramberger <peterpramb@member.fsf.org> - 4.1-1
- New version (4.1)

* Fri Jun 26 2009 Peter Pramberger <peterpramb@member.fsf.org> - 3.23-1
- Initial build
